Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.admin
Class RelyingPartyAdmin

    java.lang.Object
      org.wso2.solutions.identity.admin.RelyingPartyAdmin

    public class RelyingPartyAdmin

extends java.lang.Object

Constructor Summary
`RelyingPartyAdmin()`

Method Summary
`void` | `create(RelyingPartyDO rp)`
`void` | `create(UserPersonalRelyingPartyDO rp)`
`void` | `deleteRelyingParty(RelyingPartyDO rp)`
`RelyingPartyDO` | `findRelyingParty(java.lang.Long id)`
`UserPersonalRelyingPartyDO[]` | `getAllPersonalRelyingParties(java.lang.String userId)`
`RelyingPartyDO[]` | `getAllRelyingPartyList()`
`RelyingPartyDO` | `getRelyingParty(java.lang.String url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelyingPartyAdmin

    public RelyingPartyAdmin()
                      throws IdentityProviderException

Throws:
  `IdentityProviderException`

Method Detail

### create

    public void create(RelyingPartyDO rp)
                throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### create

    public void create(UserPersonalRelyingPartyDO rp)
                throws org.apache.axis2.AxisFault

  Throws:
    `org.apache.axis2.AxisFault`

### getAllRelyingPartyList

    public RelyingPartyDO[] getAllRelyingPartyList()

### getRelyingParty

    public RelyingPartyDO getRelyingParty(java.lang.String url)

### deleteRelyingParty

    public void deleteRelyingParty(RelyingPartyDO rp)

### findRelyingParty

    public RelyingPartyDO findRelyingParty(java.lang.Long id)

### getAllPersonalRelyingParties

    public UserPersonalRelyingPartyDO[] getAllPersonalRelyingParties(java.lang.String userId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD